Problem with the use of old android processing topics



  • I'm writing an app for the Android. There was a problem when I wanted to use the old paperwork for my application. Makes a mistake:

    java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.

    Can you tell me what the problem is?



  • For old ones like ThemeHoloYour activities must be inherited from "old" base activities-- ActivityFragmentActivity etc., but not activities requiring a support library AppCompat and related topics Theme.AppCompat) - AppCompatActivity




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2